ETSI STF525 / Internal Testing test suite This project provides an internal testing test suite and its associated Test Adapter/Codec

Public Member Functions | Private Member Functions | Private Attributes | List of all members
UpperTesterIvimCodec Class Reference

`#include <UpperTesterIvimCodec.hh>`

Inheritance diagram for UpperTesterIvimCodec:

## Public Member Functions
| UpperTesterIvimCodec ()
virtual | ~UpperTesterIvimCodec ()
virtual int | encode (const Record_Type &, OCTETSTRING &data)
| Encode typed message into an octet string. More...
virtual int | decode (const OCTETSTRING &data, Record_Type &, Params *params=NULL)
| Encode typed message into an octet string format. More...
std::unique_ptr< Base_Type > | decode (const OCTETSTRING &data, Params *params=NULL)
Public Member Functions inherited from Codec< Record_Type, Record_Type >
| Codec ()
| Reference to Params stack. More...
virtual | ~Codec ()
| Default destructor . More...

## Private Member Functions
int | encode_ (const Base_Type &type, const TTCN_Typedescriptor_t &field_descriptor, TTCN_Buffer &encoding_buffer)
int | decode (const OCTETSTRING &data, LibItsIvim__TypesAndValues::UtIvimResults &msg, Params *params=NULL)
int | decode (const OCTETSTRING &data, LibItsIvim__TypesAndValues::UtIvimEventInd &msg, Params *params=NULL)

## Private Attributes
const unsigned char | c_utIvimInitialize = 0x00
const unsigned char | c_utIvimInitializeResult = 0x01
const unsigned char | c_utIvimTrigger = 0xA4
const unsigned char | c_utIvimTriggerResult = 0xA5
const unsigned char | c_utIvimUpdate = 0xA6
const unsigned char | c_utIvimUpdateResult = 0xA7
const unsigned char | c_utIvimTermination = 0xA8
const unsigned char | c_utIvimTerminationResult = 0xA9
const unsigned char | c_utIvimEventInd = 0xAA

## Additional Inherited Members
Protected Attributes inherited from Codec< Record_Type, Record_Type >
Params * | _params

## Constructor & Destructor Documentation

## ◆ UpperTesterIvimCodec()

UpperTesterIvimCodec::UpperTesterIvimCodec | ( |  | ) |
| inline

## ◆ ~UpperTesterIvimCodec()

virtual UpperTesterIvimCodec::~UpperTesterIvimCodec | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ decode() [1/4]

int UpperTesterIvimCodec::decode | ( | const OCTETSTRING & | p_,
|  | Record_Type & | p_message,
|  | Params * | p_params = `NULL`
| ) |  |
| virtual

Encode typed message into an octet string format.

Parameters

  [in] | p_data | The message in its octet string
  [out] | p_message | The decoded typed message

Returns
  0 on success, -1 otherwise

Implements Codec< Record_Type, Record_Type >.

## ◆ decode() [2/4]

std::unique_ptr< Base_Type > UpperTesterIvimCodec::decode | ( | const OCTETSTRING & | data,
|  | Params * | params = `NULL`
| ) |  |

## ◆ decode() [3/4]

int UpperTesterIvimCodec::decode | ( | const OCTETSTRING & | data,
|  | LibItsIvim__TypesAndValues::UtIvimResults & | msg,
|  | Params * | params = `NULL`
| ) |  |
| private

## ◆ decode() [4/4]

int UpperTesterIvimCodec::decode | ( | const OCTETSTRING & | data,
|  | LibItsIvim__TypesAndValues::UtIvimEventInd & | msg,
|  | Params * | params = `NULL`
| ) |  |
| private

## ◆ encode()

int UpperTesterIvimCodec::encode | ( | const Record_Type & | msg,
|  | OCTETSTRING & | data
| ) |  |
| virtual

Encode typed message into an octet string.

Parameters

  [in] | p_message | The typed message to be encoded
  [out] | p_data | The encoding result

Returns
  0 on success, -1 otherwise

Implements Codec< Record_Type, Record_Type >.

## ◆ encode_()

int UpperTesterIvimCodec::encode_ | ( | const Base_Type & | type,
|  | const TTCN_Typedescriptor_t & | field_descriptor,
|  | TTCN_Buffer & | encoding_buffer
| ) |  |
| private

## Member Data Documentation

## ◆ c_utIvimEventInd

const unsigned char UpperTesterIvimCodec::c_utIvimEventInd = 0xAA
| private

## ◆ c_utIvimInitialize

const unsigned char UpperTesterIvimCodec::c_utIvimInitialize = 0x00
| private

## ◆ c_utIvimInitializeResult

const unsigned char UpperTesterIvimCodec::c_utIvimInitializeResult = 0x01
| private

## ◆ c_utIvimTermination

const unsigned char UpperTesterIvimCodec::c_utIvimTermination = 0xA8
| private

## ◆ c_utIvimTerminationResult

const unsigned char UpperTesterIvimCodec::c_utIvimTerminationResult = 0xA9
| private

## ◆ c_utIvimTrigger

const unsigned char UpperTesterIvimCodec::c_utIvimTrigger = 0xA4
| private

## ◆ c_utIvimTriggerResult

const unsigned char UpperTesterIvimCodec::c_utIvimTriggerResult = 0xA5
| private

## ◆ c_utIvimUpdate

const unsigned char UpperTesterIvimCodec::c_utIvimUpdate = 0xA6
| private

## ◆ c_utIvimUpdateResult

const unsigned char UpperTesterIvimCodec::c_utIvimUpdateResult = 0xA7
| private

The documentation for this class was generated from the following files:

- /home/vagrant/TriesAndDelete/etsi_its/framework/include/UpperTesterIvimCodec.hh
- /home/vagrant/TriesAndDelete/etsi_its/framework/src/UpperTesterIvimCodec.cc